Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.multiplex
Class MultiplexingManager.PendingActionThread

    java.lang.Object
      java.lang.Thread
          org.jboss.remoting.transport.multiplex.utility.StoppableThread
              org.jboss.remoting.transport.multiplex.MultiplexingManager.PendingActionThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  MultiplexingManager

    protected static class MultiplexingManager.PendingActionThread

extends StoppableThread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.jboss.remoting.transport.multiplex.utility.StoppableThread
`running, stopped, terminatedOnError`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `MultiplexingManager.PendingActionThread()`

Method Summary
`protected void` | `doInit()`
`protected void` | `doRun()`
`protected void` | `doShutDown()`
`void` | `shutdown()`

Methods inherited from class org.jboss.remoting.transport.multiplex.utility.StoppableThread
`isRunning, isStopped, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiplexingManager.PendingActionThread

    protected MultiplexingManager.PendingActionThread()

Method Detail

### doInit

    protected void doInit()

  Specified by:
    `doInit` in class `StoppableThread`

### doRun

    protected void doRun()

  Specified by:
    `doRun` in class `StoppableThread`

### shutdown

    public void shutdown()

  Overrides:
    `shutdown` in class `StoppableThread`

### doShutDown

    protected void doShutDown()

  Specified by:
    `doShutDown` in class `StoppableThread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.